#include "login.h"

#include <QApplication>
#include <QDir>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    Login w;
    w.show();
    QString document_name("Document");
    QString record_name("ChatRecord");
    QDir dir(QDir::currentPath());
    QFile file("./ChatRecord/memory.txt");

    if(!dir.exists(document_name))
    {
        dir.mkdir(document_name);
        qDebug()<<QString("文件夹%1创建成功！").arg(document_name);
    }
    if(!dir.exists(record_name))
    {
        dir.mkdir(record_name);
        qDebug()<<QString("文件夹%1创建成功！").arg(record_name);
    }
    if(!file.exists())
    {
        file.open(QIODevice::WriteOnly | QIODevice::Append);
    }
    return a.exec();
}
